#define ALLCON(X) (chain_list *) (getptype(X->USER,(long) LOFIGCHAIN))->DATA
#define ORIENT namealloc("orient")
#define CONOUT(X) (locon_list *) (getptype(X->USER,(long) namealloc("orient")))->DATA

		/* parametres technologiques */
int RN;
int RP;
int CD;
int CG;
int TP;

long indexVSS;
long indexVDD;
long indexOUT;
int positiveFun;
losig_list *sigOUT;

void sens();
chain_list *getTrsSig();
chain_list *getTrsGridSig();
chain_list *chercheBrancheActive();
chain_list *chercheExpr();
chain_list *getConSig();
chain_list *getTrsOrientSig();
void chargeTechno();
chain_list *concatCL();
void displayCL();
losig_list *calculSigOut();
ptype_list *caracLofig();

ptype_list *addCarac();
ptype_list *addCaracInput();

int getCarac();
int getCaracInput();
